A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Namespaces | Enumerations
oneapi.h File Reference
`#include <af/defines.h>`
`#include <af/array.h>`
`#include <af/dim4.hpp>`
`#include <af/exception.h>`
`#include <af/device.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Namespaces
namespace | afoneapi

## Enumerations
enum | af_oneapi_platform { AF_ONEAPI_PLATFORM_AMD = 0 , AF_ONEAPI_PLATFORM_APPLE = 1 , AF_ONEAPI_PLATFORM_INTEL = 2 , AF_ONEAPI_PLATFORM_NVIDIA = 3 , AF_ONEAPI_PLATFORM_BEIGNET = 4 , AF_ONEAPI_PLATFORM_POCL = 5 , AF_ONEAPI_PLATFORM_UNKNOWN = -1 }

## Enumeration Type Documentation

## ◆ af_oneapi_platform

enum af_oneapi_platform

Enumerator
AF_ONEAPI_PLATFORM_AMD |
AF_ONEAPI_PLATFORM_APPLE |
AF_ONEAPI_PLATFORM_INTEL |
AF_ONEAPI_PLATFORM_NVIDIA |
AF_ONEAPI_PLATFORM_BEIGNET |
AF_ONEAPI_PLATFORM_POCL |
AF_ONEAPI_PLATFORM_UNKNOWN |

Definition at line 19 of file oneapi.h.

20{
21 //TODO: update? are these relevant in sycl
22 AF_ONEAPI_PLATFORM_AMD = 0,
23 AF_ONEAPI_PLATFORM_APPLE = 1,
24 AF_ONEAPI_PLATFORM_INTEL = 2,
25 AF_ONEAPI_PLATFORM_NVIDIA = 3,
26 AF_ONEAPI_PLATFORM_BEIGNET = 4,
27 AF_ONEAPI_PLATFORM_POCL = 5,
28 AF_ONEAPI_PLATFORM_UNKNOWN = -1
29} af_oneapi_platform;
af_oneapi_platform
af_oneapi_platform
Definition oneapi.h:20
AF_ONEAPI_PLATFORM_APPLE
@ AF_ONEAPI_PLATFORM_APPLE
Definition oneapi.h:23
AF_ONEAPI_PLATFORM_AMD
@ AF_ONEAPI_PLATFORM_AMD
Definition oneapi.h:22
AF_ONEAPI_PLATFORM_UNKNOWN
@ AF_ONEAPI_PLATFORM_UNKNOWN
Definition oneapi.h:28
AF_ONEAPI_PLATFORM_INTEL
@ AF_ONEAPI_PLATFORM_INTEL
Definition oneapi.h:24
AF_ONEAPI_PLATFORM_BEIGNET
@ AF_ONEAPI_PLATFORM_BEIGNET
Definition oneapi.h:26
AF_ONEAPI_PLATFORM_POCL
@ AF_ONEAPI_PLATFORM_POCL
Definition oneapi.h:27
AF_ONEAPI_PLATFORM_NVIDIA
@ AF_ONEAPI_PLATFORM_NVIDIA
Definition oneapi.h:25